2 votos

pkg-config no funcionará

Estoy tratando de arreglar un problema relacionado con la ruta de acceso, pero como parte de esto ha aparecido otro problema:

brew install pkg-config
Warning: pkg-config 0.29.2 is already installed and up-to-date

Vale, bien, entonces:

pkg-config --cflags glib-2.0
-bash: /usr/local/bin/pkg-config: Permission denied

Bien, bien...

sudo pkg-config --cflags glib-2.0
sudo: pkg-config: command not found

¿Alguien sabe lo que está pasando aquí?

Actualizar: uno de los comandos arregló las cosas:

pkg-config --cflags glib-2.0
-I/usr/local/Cellar/glib/2.62.3/include/glib-2.0 -I/usr/local/Cellar/glib/2.62.3/lib/glib-2.0/include -I/usr/local/opt/gettext/include -I/usr/local/Cellar/pcre/8.43/include

AppleAyuda.com

AppleAyuda es una comunidad de usuarios de los productos de Apple en la que puedes resolver tus problemas y dudas.
Puedes consultar las preguntas de otros usuarios, hacer tus propias preguntas o resolver las de los demás.

Powered by:

X